package cn.iocoder.yudao.module.mes.controller.admin.producereport.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ReportTypeEnum {

    个人("个人"),
    代报工("代报工");

    private final String value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static ReportTypeEnum fromValue(String value) {
        for (ReportTypeEnum status : ReportTypeEnum.values()) {
            if (status.getValue().equals(value) ) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }
}